require 'puppet/resource_api'

Puppet::ResourceApi.register_type(
  name: 'dsc_xremotedesktopadmin',
  dscmeta_resource_friendly_name: 'xRemoteDesktopAdmin',
  dscmeta_resource_name: 'xRemoteDesktopAdmin',
  dscmeta_module_name: 'xRemoteDesktopAdmin',
  dscmeta_module_version: '1.1.0.0',
  docs: 'The DSC xRemoteDesktopAdmin resource type.
         Automatically generated from version 1.1.0.0',
  features: ['simple_get_filter', 'canonicalize'],
  attributes: {
    name: {
      type:      'String',
      desc:      'Description of the purpose for this resource declaration.',
      behaviour: :namevar,
    },
    dsc_userauthentication: {
      type: "Optional[Enum['Secure', 'NonSecure']]",
      desc: 'User Authentication.  Setting this value to Secure configures the machine to require NLA.',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_psdscrunascredential: {
      type: 'Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]',
      desc: ' ',
      behaviour: :parameter,
      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'PSCredential',
      mof_is_embedded: true,
    },
    dsc_ensure: {
      type: "Enum['Present', 'Absent']",
      desc: 'Determines whether or not the computer should accept remote connections.  Present sets the value to Enabled and Absent sets the value to Disabled.',
      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
  },
)
